
package com.ejie.ad74a.ws.client.prestadorWS.data;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para gradoDependenciaEnum.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="gradoDependenciaEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="GI"/&gt;
 *     &lt;enumeration value="GII"/&gt;
 *     &lt;enumeration value="GIII"/&gt;
 *     &lt;enumeration value="GIN1"/&gt;
 *     &lt;enumeration value="GIN2"/&gt;
 *     &lt;enumeration value="GIIN1"/&gt;
 *     &lt;enumeration value="GIIN2"/&gt;
 *     &lt;enumeration value="GIIIN1"/&gt;
 *     &lt;enumeration value="GIIIN2"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "gradoDependenciaEnum")
@XmlEnum
public enum GradoDependenciaEnum {

    GI("GI"),
    GII("GII"),
    GIII("GIII"),
    @XmlEnumValue("GIN1")
    GIN_1("GIN1"),
    @XmlEnumValue("GIN2")
    GIN_2("GIN2"),
    @XmlEnumValue("GIIN1")
    GIIN_1("GIIN1"),
    @XmlEnumValue("GIIN2")
    GIIN_2("GIIN2"),
    @XmlEnumValue("GIIIN1")
    GIIIN_1("GIIIN1"),
    @XmlEnumValue("GIIIN2")
    GIIIN_2("GIIIN2");
    private final String value;

    GradoDependenciaEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static GradoDependenciaEnum fromValue(String v) {
        for (GradoDependenciaEnum c: GradoDependenciaEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
